diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/irc_string.h ircby-0.5-RC3/include/irc_string.h
--- ircd-hybrid-7.0.1/include/irc_string.h	Wed Aug 28 13:00:12 2002
+++ ircby-0.5-RC3/include/irc_string.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: irc_string.h,v 7.37 2002/08/28 17:00:12 androsyn Exp $
+ *  $Id: irc_string.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_irc_string_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircd.h ircby-0.5-RC3/include/ircd.h
--- ircd-hybrid-7.0.1/include/ircd.h	Sat Oct 25 22:08:12 2003
+++ ircby-0.5-RC3/include/ircd.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd.h,v 7.54.2.2 2003/10/26 02:08:12 db Exp $
+ *  $Id: ircd.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_ircd_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircd_defs.h ircby-0.5-RC3/include/ircd_defs.h
--- ircd-hybrid-7.0.1/include/ircd_defs.h	Sat Feb 15 11:32:43 2003
+++ ircby-0.5-RC3/include/ircd_defs.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_defs.h,v 7.32 2003/02/15 16:32:43 lusky Exp $
+ *  $Id: ircd_defs.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 /*
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircd_getopt.h ircby-0.5-RC3/include/ircd_getopt.h
--- ircd-hybrid-7.0.1/include/ircd_getopt.h	Fri May 24 19:34:07 2002
+++ ircby-0.5-RC3/include/ircd_getopt.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_getopt.h,v 1.3 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: ircd_getopt.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef __GETOPT_H_INCLUDED__
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircd_handler.h ircby-0.5-RC3/include/ircd_handler.h
--- ircd-hybrid-7.0.1/include/ircd_handler.h	Sat Jan  5 04:14:28 2002
+++ ircby-0.5-RC3/include/ircd_handler.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_handler.h,v 7.5 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircd_handler.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_ircd_handler_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircd_signal.h ircby-0.5-RC3/include/ircd_signal.h
--- ircd-hybrid-7.0.1/include/ircd_signal.h	Sat Jan  5 04:14:28 2002
+++ ircby-0.5-RC3/include/ircd_signal.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircd_signal.h,v 7.2 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircd_signal.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/ircdauth.h ircby-0.5-RC3/include/ircdauth.h
--- ircd-hybrid-7.0.1/include/ircdauth.h	Sat Jan  5 04:14:28 2002
+++ ircby-0.5-RC3/include/ircdauth.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: ircdauth.h,v 7.5 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: ircdauth.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_ircdauth_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/linebuf.h ircby-0.5-RC3/include/linebuf.h
--- ircd-hybrid-7.0.1/include/linebuf.h	Sun Jul 14 16:15:38 2002
+++ ircby-0.5-RC3/include/linebuf.h	Mon Apr 19 13:37:12 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: linebuf.h,v 1.24 2002/07/14 20:15:38 androsyn Exp $
+ *  $Id: linebuf.h,v 1.2 2004/04/19 17:37:12 newiceman Exp $
  */
 
 #ifndef __LINEBUF_H__
@@ -77,7 +77,7 @@
 extern int linebuf_get(buf_head_t *, char *, int, int, int);
 extern void linebuf_putmsg(buf_head_t *, const char *, va_list *,
                            const char *, ...);
-extern int linebuf_flush(int, buf_head_t *);
+extern int linebuf_flush(int, buf_head_t *, struct Client *);
 extern void linebuf_attach(buf_head_t *, buf_head_t *);
 extern void count_linebuf_memory(int *, u_long *);
 #endif
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/list.h ircby-0.5-RC3/include/list.h
--- ircd-hybrid-7.0.1/include/list.h	Thu Jul 11 20:43:20 2002
+++ ircby-0.5-RC3/include/list.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: list.h,v 7.15 2002/07/12 00:43:20 androsyn Exp $
+ *  $Id: list.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_list_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/listener.h ircby-0.5-RC3/include/listener.h
--- ircd-hybrid-7.0.1/include/listener.h	Fri May 24 19:34:07 2002
+++ ircby-0.5-RC3/include/listener.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: listener.h,v 7.10 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: listener.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_listener_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/m_info.h ircby-0.5-RC3/include/m_info.h
--- ircd-hybrid-7.0.1/include/m_info.h	Fri May 24 19:34:07 2002
+++ ircby-0.5-RC3/include/m_info.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_info.h,v 7.40 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: m_info.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_m_info_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/m_kline.h ircby-0.5-RC3/include/m_kline.h
--- ircd-hybrid-7.0.1/include/m_kline.h	Sat Jan  5 04:14:28 2002
+++ ircby-0.5-RC3/include/m_kline.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kline.h,v 7.7 2002/01/05 09:14:28 a1kmm Exp $
+ *  $Id: m_kline.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_m_kline_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/md5.h ircby-0.5-RC3/include/md5.h
--- ircd-hybrid-7.0.1/include/md5.h	Sat Mar  9 16:48:35 2002
+++ ircby-0.5-RC3/include/md5.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: md5.h,v 1.6 2002/03/09 21:48:35 androsyn Exp $
+ *  $Id: md5.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef __INCLUDE_MD5_H_INCLUDED
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/memory.h ircby-0.5-RC3/include/memory.h
--- ircd-hybrid-7.0.1/include/memory.h	Sat Jul 13 18:54:47 2002
+++ ircby-0.5-RC3/include/memory.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: memory.h,v 7.36 2002/07/13 22:54:47 androsyn Exp $
+ *  $Id: memory.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef _I_MEMORY_H
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/modules.h ircby-0.5-RC3/include/modules.h
--- ircd-hybrid-7.0.1/include/modules.h	Tue Nov 12 08:45:40 2002
+++ ircby-0.5-RC3/include/modules.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: modules.h,v 7.32 2002/11/12 13:45:40 db Exp $
+ *  $Id: modules.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_modules_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/motd.h ircby-0.5-RC3/include/motd.h
--- ircd-hybrid-7.0.1/include/motd.h	Fri May 24 19:34:07 2002
+++ ircby-0.5-RC3/include/motd.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: motd.h,v 7.10 2002/05/24 23:34:07 androsyn Exp $
+ *  $Id: motd.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_motd_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/msg.h ircby-0.5-RC3/include/msg.h
--- ircd-hybrid-7.0.1/include/msg.h	Wed Oct 23 23:35:56 2002
+++ ircby-0.5-RC3/include/msg.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: msg.h,v 7.42 2002/10/24 03:35:56 bill Exp $
+ *  $Id: msg.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_msg_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/numeric.h ircby-0.5-RC3/include/numeric.h
--- ircd-hybrid-7.0.1/include/numeric.h	Sat Oct 25 22:08:13 2003
+++ ircby-0.5-RC3/include/numeric.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: numeric.h,v 7.31.2.1 2003/10/26 02:08:13 db Exp $
+ *  $Id: numeric.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_numeric_h
@@ -218,6 +218,7 @@
 #define RPL_WHOISUSER        311
 #define RPL_WHOISSERVER      312
 #define RPL_WHOISOPERATOR    313
+#define RPL_WHOISCODEPAGE    309
 
 #define RPL_WHOWASUSER       314
 /* rpl_endofwho below (315) */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/packet.h ircby-0.5-RC3/include/packet.h
--- ircd-hybrid-7.0.1/include/packet.h	Sat Jul 20 11:51:45 2002
+++ ircby-0.5-RC3/include/packet.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: packet.h,v 7.17 2002/07/20 15:51:45 leeh Exp $
+ *  $Id: packet.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_packet_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/parse.h ircby-0.5-RC3/include/parse.h
--- ircd-hybrid-7.0.1/include/parse.h	Mon Feb  9 23:28:35 2004
+++ ircby-0.5-RC3/include/parse.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: parse.h,v 7.15.2.3 2004/02/10 04:28:35 ievil Exp $
+ *  $Id: parse.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_parse_h_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/patchlevel.h ircby-0.5-RC3/include/patchlevel.h
--- ircd-hybrid-7.0.1/include/patchlevel.h	Wed Mar 17 23:58:45 2004
+++ ircby-0.5-RC3/include/patchlevel.h	Thu Jun  3 15:00:07 2004
@@ -19,9 +19,9 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: patchlevel.h,v 7.42.2.6 2004/03/18 04:58:45 lusky Exp $
+ *  $Id: patchlevel.h,v 1.3 2004/06/03 19:00:07 newiceman Exp $
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL   "hybrid-7.0.1"
+#define PATCHLEVEL   "ircby-0.5-RC3"
 #endif
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/res.h ircby-0.5-RC3/include/res.h
--- ircd-hybrid-7.0.1/include/res.h	Fri Apr  4 20:19:59 2003
+++ ircby-0.5-RC3/include/res.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: res.h,v 7.21.2.1 2003/04/05 01:19:59 lusky Exp $
+ *  $Id: res.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef _RES_H_INCLUDED
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/restart.h ircby-0.5-RC3/include/restart.h
--- ircd-hybrid-7.0.1/include/restart.h	Sat Jan  5 04:14:29 2002
+++ ircby-0.5-RC3/include/restart.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: restart.h,v 7.4 2002/01/05 09:14:29 a1kmm Exp $
+ *  $Id: restart.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_restart_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/resv.h ircby-0.5-RC3/include/resv.h
--- ircd-hybrid-7.0.1/include/resv.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/resv.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: resv.h,v 1.7 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: resv.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_resv_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/rsa.h ircby-0.5-RC3/include/rsa.h
--- ircd-hybrid-7.0.1/include/rsa.h	Thu Jul 11 05:23:19 2002
+++ ircby-0.5-RC3/include/rsa.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: rsa.h,v 7.11 2002/07/11 09:23:19 androsyn Exp $
+ *  $Id: rsa.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 #ifndef INCLUDED_rsa_h
 #define INCLUDED_rsa_h 1
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_auth.h ircby-0.5-RC3/include/s_auth.h
--- ircd-hybrid-7.0.1/include/s_auth.h	Sat Oct 19 18:32:49 2002
+++ ircby-0.5-RC3/include/s_auth.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_auth.h,v 7.17 2002/10/19 22:32:49 androsyn Exp $
+ *  $Id: s_auth.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_auth_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_bsd.h ircby-0.5-RC3/include/s_bsd.h
--- ircd-hybrid-7.0.1/include/s_bsd.h	Wed Mar 17 22:57:21 2004
+++ ircby-0.5-RC3/include/s_bsd.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_bsd.h,v 7.37.2.1 2004/03/18 03:57:21 bill Exp $
+ *  $Id: s_bsd.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_bsd_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_conf.h ircby-0.5-RC3/include/s_conf.h
--- ircd-hybrid-7.0.1/include/s_conf.h	Wed Mar 17 22:57:21 2004
+++ ircby-0.5-RC3/include/s_conf.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_conf.h,v 7.190.2.3 2004/03/18 03:57:21 bill Exp $
+ *  $Id: s_conf.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_conf_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_debug.h ircby-0.5-RC3/include/s_debug.h
--- ircd-hybrid-7.0.1/include/s_debug.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/s_debug.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_debug.h,v 7.4 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_debug.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_debug_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_gline.h ircby-0.5-RC3/include/s_gline.h
--- ircd-hybrid-7.0.1/include/s_gline.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/s_gline.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_gline.h,v 7.11 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_gline.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_gline_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_log.h ircby-0.5-RC3/include/s_log.h
--- ircd-hybrid-7.0.1/include/s_log.h	Fri Sep  6 15:37:10 2002
+++ ircby-0.5-RC3/include/s_log.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_log.h,v 7.11 2002/09/06 19:37:10 db Exp $
+ *  $Id: s_log.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_log_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_misc.h ircby-0.5-RC3/include/s_misc.h
--- ircd-hybrid-7.0.1/include/s_misc.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/s_misc.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_misc.h,v 7.7 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_misc.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_misc_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_serv.h ircby-0.5-RC3/include/s_serv.h
--- ircd-hybrid-7.0.1/include/s_serv.h	Mon Feb  9 23:28:35 2004
+++ ircby-0.5-RC3/include/s_serv.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_serv.h,v 7.66.4.4 2004/02/10 04:28:35 ievil Exp $
+ *  $Id: s_serv.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_serv_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_stats.h ircby-0.5-RC3/include/s_stats.h
--- ircd-hybrid-7.0.1/include/s_stats.h	Wed Sep  4 21:30:07 2002
+++ ircby-0.5-RC3/include/s_stats.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_stats.h,v 7.9 2002/09/05 01:30:07 db Exp $
+ *  $Id: s_stats.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_stats_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_user.h ircby-0.5-RC3/include/s_user.h
--- ircd-hybrid-7.0.1/include/s_user.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/s_user.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_user.h,v 7.16 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_user.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_user_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/s_zip.h ircby-0.5-RC3/include/s_zip.h
--- ircd-hybrid-7.0.1/include/s_zip.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/s_zip.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_zip.h,v 7.5 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_zip.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_s_zip_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/scache.h ircby-0.5-RC3/include/scache.h
--- ircd-hybrid-7.0.1/include/scache.h	Sat Mar  9 16:48:35 2002
+++ ircby-0.5-RC3/include/scache.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: scache.h,v 7.7 2002/03/09 21:48:35 androsyn Exp $
+ *  $Id: scache.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_scache_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/send.h ircby-0.5-RC3/include/send.h
--- ircd-hybrid-7.0.1/include/send.h	Mon Feb  9 23:28:35 2004
+++ ircby-0.5-RC3/include/send.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: send.h,v 7.61.2.1 2004/02/10 04:28:35 ievil Exp $
+ *  $Id: send.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_send_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/setup.h_vms ircby-0.5-RC3/include/setup.h_vms
--- ircd-hybrid-7.0.1/include/setup.h_vms	Sat Feb 15 11:32:44 2003
+++ ircby-0.5-RC3/include/setup.h_vms	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: setup.h_vms,v 7.11 2003/02/15 16:32:44 lusky Exp $
+ *  $Id: setup.h_vms,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 /* include/setup.h.in.  Generated automatically from autoconf/configure.in by autoheader.  */
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/sprintf_irc.h ircby-0.5-RC3/include/sprintf_irc.h
--- ircd-hybrid-7.0.1/include/sprintf_irc.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/sprintf_irc.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: sprintf_irc.h,v 7.8 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: sprintf_irc.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef SPRINTF_IRC
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/stdinc.h ircby-0.5-RC3/include/stdinc.h
--- ircd-hybrid-7.0.1/include/stdinc.h	Fri May 24 19:39:13 2002
+++ ircby-0.5-RC3/include/stdinc.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- * $Id: stdinc.h,v 1.1 2002/05/24 23:39:13 androsyn Exp $
+ * $Id: stdinc.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  *
  */
  
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/supported.h ircby-0.5-RC3/include/supported.h
--- ircd-hybrid-7.0.1/include/supported.h	Tue Jul 16 16:26:47 2002
+++ ircby-0.5-RC3/include/supported.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: supported.h,v 1.23 2002/07/16 20:26:47 leeh Exp $
+ *  $Id: supported.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_supported_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/tools.h ircby-0.5-RC3/include/tools.h
--- ircd-hybrid-7.0.1/include/tools.h	Sun Feb  2 23:33:42 2003
+++ ircby-0.5-RC3/include/tools.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: tools.h,v 1.20 2003/02/03 04:33:42 db Exp $
+ *  $Id: tools.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef __TOOLS_H__
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/vchannel.h ircby-0.5-RC3/include/vchannel.h
--- ircd-hybrid-7.0.1/include/vchannel.h	Fri May 24 19:34:08 2002
+++ ircby-0.5-RC3/include/vchannel.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: vchannel.h,v 7.20 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: vchannel.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 
 #ifndef INCLUDED_vchannel_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/include/whowas.h ircby-0.5-RC3/include/whowas.h
--- ircd-hybrid-7.0.1/include/whowas.h	Thu Jun  6 15:28:50 2002
+++ ircby-0.5-RC3/include/whowas.h	Tue Mar 30 11:04:25 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.h,v 7.9 2002/06/06 19:28:50 leeh Exp $
+ *  $Id: whowas.h,v 1.1.1.1 2004/03/30 16:04:25 ewger Exp $
  */
 #ifndef INCLUDED_whowas_h
 #define INCLUDED_whowas_h
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/ircby/ircd.conf ircby-0.5-RC3/ircby/ircd.conf
--- ircd-hybrid-7.0.1/ircby/ircd.conf	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/ircby/ircd.conf	Sat Jun  5 20:16:30 2004
@@ -0,0 +1,189 @@
+# $Id: ircd.conf,v 1.5 2004/06/06 00:16:30 newiceman Exp $
+#
+# IRC.BY ircd Config file
+#
+
+serverinfo {
+	name="desk.by";
+	description="IRC.BY Server";
+	network_name="IRC.BY";
+	network_desc="IRC.BY Network";
+	hub=yes;
+
+        /* rsa key: the path to the file containing our rsa key for cryptlink.
+         *
+         * Example command to store a 2048 bit RSA keypair in
+         * rsa.key, and the public key in rsa.pub:
+         *
+         *      openssl genrsa -out rsa.key 2048
+         *      openssl rsa -in rsa.key -pubout -out rsa.pub
+         *      chown <ircd-user>.<ircd.group> rsa.key rsa.pub
+         *      chmod 0600 rsa.key
+	 *      chmod 0644 rsa.pub
+         */
+        rsa_private_key_file = "/home/ircd/etc/desk.privkey";	
+};
+
+# The administrator block sets up the server administrator information,
+# that is shown when a user issues the /ADMIN command.  All three fields
+# are required.
+
+admin {
+	name = "newiceman";
+	description = "Network Coordinator";
+	email = "mrnewiceman@yahoo.com";
+};
+
+logging {
+	log_level = L_CRIT;
+};
+
+class {
+	name="users";
+	ping_time=90;
+	number_per_ip=0;
+	max_number=500;
+	sendq=100000;
+};
+
+class {
+	name="opers";
+	ping_time=90;
+	number_per_ip=2;
+	max_number=50;
+	sendq=500000;
+};
+
+class {
+	name = "server";
+	ping_time = 3 minutes;
+	connectfreq = 2 minutes;
+
+        /* max number: the amount of servers to autoconnect to */
+        max_number = 10;	
+
+        /* sendq: servers need a higher sendq as they send more data */
+        sendq=10 megabytes;
+};
+
+# Auth blocks define who can connect and what class they are put into.
+
+auth {
+	user="*@172.31.10.51";
+	spoof_notice = yes;
+	exceed_limit = yes;
+	no_tilde = yes;
+	kline_exempt = yes;
+	gline_exempt = yes;
+	class="opers";
+};
+
+auth {
+	user="*@*";
+	exceed_limit = no;
+	no_tilde = yes;
+	kline_exempt = no;
+	gline_exempt = no;
+	class="users";
+};
+
+
+# Operator blocks define who is able to use the OPER command and become IRC
+# operators.  The necessary fields are the user@host, oper nick name, and
+# the password, encrypted with the mkpasswd program provided.
+
+operator {
+	name="newiceman";
+	user="*@*";
+	password=".9Diwq5rwrVkPM";
+	class="opers";
+        kline = yes;
+        unkline = yes;
+        die = yes;
+        rehash = yes;
+        nick_changes = yes;
+        admin = yes;	
+};
+
+# Listen blocks define what ports your server will listen to client and
+# server connections on.  ip is an optional field (Essential for virtual
+# hosted machines.)
+
+listen {
+	port=6666 .. 6669;
+};
+
+# The general block contains most of the configurable options that were once
+# in config.h.  The most important ones are below.  For the rest, please see
+
+general {
+	# Control nick flooding
+	anti_nick_flood=yes;
+	max_nick_time=20;
+	max_nick_changes=5;
+
+	# Show extra warnings when servers connections cannot succeed
+	# because of no "N" line (a misconfigured connect block)
+	warn_no_nline=yes;
+	
+	default_floodcount = 5;
+	failed_oper_notice = yes;
+	client_exit = yes;
+	no_oper_flood = yes;
+	glines = yes;
+	gline_time = 0;
+	idletime = 0;
+        fname_userlog = "logs/userlog";
+        fname_operlog = "logs/operlog";
+        fname_foperlog = "logs/foperlog";	
+	client_flood = 10;
+	compression_level = 5;
+};
+
+modules {
+        /* module path: paths to search for modules specified below and
+         * in /modload.
+         */
+        path = "/home/systems/ircd/modules";
+        path = "/home/systems/ircd/modules/autoload";
+					   
+        /* module: the name of a module to load on startup/rehash */
+        #module = "some_module.so";
+	module = "m_map.so";
+	module = "m_tburst.so";
+	module = "m_xlat.so";
+	module = "hybrid_services.so";
+};
+
+resv {
+	nick = "nickserv";
+	nick = "chanserv";
+	nick = "memoserv";
+	nick = "operserv";
+	nick = "botserv";
+	nick = "*serv";
+};
+
+channel {
+	use_invex = yes;
+	use_except = yes;
+	use_knock = yes;
+	use_anonops = yes;
+	knock_delay = 5 minutes;
+	knock_delay_channel = 1 minute;
+	max_chans_per_user = 15;
+	quiet_on_ban = yes;
+};
+
+connect {
+        name = "irc.by";
+        host = "69.56.173.215";
+        class = "server";
+	cryptlink = yes; /* we accept now only cryptolinks! */
+        port = 6667;
+        hub_mask = "*";
+        compressed = yes;
+	autoconn = yes;
+	rsa_public_key_file = "etc/ircby.pubkey";
+	cipher_preference = "BF/168";
+};
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/ircby/ircd.motd ircby-0.5-RC3/ircby/ircd.motd
--- ircd-hybrid-7.0.1/ircby/ircd.motd	Wed Dec 31 19:00:00 1969
+++ ircby-0.5-RC3/ircby/ircd.motd	Mon Apr 19 11:43:05 2004
@@ -0,0 +1,25 @@
+================================================================================
+
+                                Welcome to:
+
+12------ ------------   -----------     ------------  ----     ----
+12 ----  ----     ---- ----     ----     ----     ---- ----     ----
+12  ----  ----     ---- ----              ----     ---- ----     ----
+12   ----  ------------  ---- [15www.3i12r4c15.by12] ------------   ------------
+12    ----  ----     ---- ----              ----     ----          ----
+12     ----  ----     ---- ----              ----     ----          ----
+12      ----  ----     ---- ----     ----     ----     ---- ----     ----
+12      ------ ----     ----  -----------      ------------   -----------
+
+                        Network Coordinator: newiceman
+
+--------------------------------------------------------------------------------
+   Â ñåòè ðàáîòàþò ñåðâèñû: NickServ, ChanServ, MemoServ, SeenServ, StatServ
+
+                 ×òîáû íà÷àòü ðàáîòó ñ íèìè: /msg HelpServ help
+--------------------------------------------------------------------------------
+        Supported codepage translations : PLAIN(CP-1251), KOI, LAT, MAC
+           To change your codepage on-the-fly use: /xlat TRANSLATION
+--------------------------------------------------------------------------------
+Administrative contact:                                         newiceman@irc.by
+================================================================================
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/make.com ircby-0.5-RC3/make.com
--- ircd-hybrid-7.0.1/make.com	Thu Dec  6 18:34:04 2001
+++ ircby-0.5-RC3/make.com	Tue Mar 30 11:04:24 2004
@@ -1,7 +1,7 @@
 $ WRITE SYS$OUTPUT "Commencing build of ircd-hybrid-7 for VMS..."
 $ WRITE SYS$OUTPUT "Examining source directory..."
 $
-$! $Id: make.com,v 1.7 2001/12/06 23:34:04 davidt Exp $
+$! $Id: make.com,v 1.1.1.1 2004/03/30 16:04:24 ewger Exp $
 $! Don't have to do this any more - we now depend on
 $! bison/flex to build.
 $! FILE_SIZE = "NOSUCHFILE"
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/modules/core/descrip.mms ircby-0.5-RC3/modules/core/descrip.mms
--- ircd-hybrid-7.0.1/modules/core/descrip.mms	Mon Feb  4 16:07:51 2002
+++ ircby-0.5-RC3/modules/core/descrip.mms	Thu Apr  1 13:55:27 2004
@@ -1,6 +1,6 @@
 # MMS/MMK Makefile for OpenVMS
 # Copyright (c) 2001 Edward Brocklesby
-# $Id: descrip.mms,v 1.1 2002/02/04 21:07:51 ejb Exp $
+# $Id: descrip.mms,v 1.1 2004/04/01 18:55:27 ewger Exp $
 
 CC=	CC
 CFLAGS=	/INCLUDE_DIRECTORY=([-.-.INCLUDE],[-.-.ADNS])/STANDARD=ISOC94
diff -uNrd -x ChangeLog -x configure -x ChangeLog.old ircd-hybrid-7.0.1/modules/core/m_die.c ircby-0.5-RC3/modules/core/m_die.c
--- ircd-hybrid-7.0.1/modules/core/m_die.c	Fri Jan 24 02:01:59 2003
+++ ircby-0.5-RC3/modules/core/m_die.c	Thu Apr  1 13:55:27 2004
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_die.c,v 1.25 2003/01/24 07:01:59 lusky Exp $
+ *  $Id: m_die.c,v 1.1 2004/04/01 18:55:27 ewger Exp $
  */
 
 #include "stdinc.h"
@@ -57,7 +57,7 @@
   mod_del_cmd(&die_msgtab);
 }
 
-const char *_version = "$Revision: 1.25 $";
+const char *_version = "$Revision: 1.1 $";
 #endif
 /*
  * mo_die - DIE command handler
